package require marvin

initParamPsfPdb \
    -paramFileName $env(XPLOR_DIR)/toppar/parallhdg_procheck.pro \
    -psfFileName   cvn.psf \
    -pdbFileName   cvn_reference.pdb

set noe [create_LinearNOEPotential exptNOEs]

readMarvinRestraints \
    -fileName both_noes.tbl \
    -pot $noe

set all [$noe restraints]

set sr [selectNOErestraints -from $all -proc {sequenceDistLessThan 6}]
set lr [selectNOErestraints -from $all -proc {sequenceDistGreaterThan 5}]

set glr [selectNOErestraints -from $lr -proc {violLessThan 0.5}]
set blr [selectNOErestraints -from $lr -proc {violGreaterThan 0.5}]

set gsr [selectNOErestraints -from $sr -proc {violLessThan 0.5}]
set bsr [selectNOErestraints -from $sr -proc {violGreaterThan 0.5}]

proc meanDegen {rList} {

    set degens [list]

    foreach rPtr $rList {

	lappend degens [noeDegeneracy $rPtr]
    }

    return [list [mean $degens] [standardDeviation $degens]]
}


foreach l [list $glr $gsr $blr $bsr] {

    puts stderr [format "%d %s" [llength $l] [meanDegen $l]]
}


	