package require pipp
package require marvin

initParamPsfPdb \
    -paramFileName $env(XPLOR_DIR)/toppar/parallhdg_procheck.pro \
    -psfFileName   cvn.psf 

set noe [create_LinearNOEPotential marv]

readPippFile \
    -inFileName [list 3dc_capp_def_use_sym_2sd_sign.PCK 3dc_capp_def_use_sym_2sd_sign.DEG] \
    -restraintNameHeader "3dc_" \
    -flexibleRegions [AtomSel -args "(resid -1)"] \
    -convertStereospecAssigns \
    -r6sumAlways \
    -pot $noe

readPippFile \
    -inFileName [list 3dn_noe_capp_def_2sd.PCK 3dn_noe_capp_def_2sd.DEG]\
    -restraintNameHeader "3dn_" \
    -flexibleRegions [AtomSel -args "(resid -1)"] \
    -convertStereospecAssigns \
    -r6sumAlways \
    -pot $noe


set remarkList [initialRestraintAnalysis \
		    -pot $noe\
		    -referenceStructureFile cvn_reference.pdb ]


writeMarvinNOEs \
    -fileName cvn_pass1_noes.tbl \
    -pot $noe \
    -remarks $remarkList


