#
# Summarizes the results of the first pass Marvin calc,
# picking the best structures and determining constraint
# likelihoods and assignment probabilities for the 
# next pass
# 
# JJK 11/6/02
#

#package require xplornih
package require marvin


initParamPsfPdb \
    -paramFileName $env(XPLOR_DIR)/toppar/parallhdg_procheck.pro \
    -psfFileName   cvn.psf \
    -pdbFileName   cvn_random.pdb

summarizeMarvinResults \
    -fileNames   [glob cvn_pass3_*.pdb] \
    -origNOEfile cvn_pass3_noes.tbl \
    -newNOEfile  cvn_final_noes.tbl \
    -avgPDBfile  cvn_pass3_avg.pdb \
    -referenceStructureFile cvn_reference.pdb \
    -definedBackbone [AtomSel -args "(name ca or name c or name n)"] \
    -definedHeavyatoms [AtomSel -args "(not name h*)"]
