#
# Converts the final Marvin restraints list to 
# the "classic" xplor format, removing all 
# assignments whose likelihood is less then 90%
#

package require marvin

initParamPsfPdb \
    -paramFileName $env(XPLOR_DIR)/toppar/parallhdg_procheck.pro \
    -psfFileName   il4.psf \
    -pdbFileName   il4_extended.pdb

set noe [create_QuadraticNOEPotential exptNOEs]

readMarvinRestraints \
    -fileName il4_pass4_noes.tbl \
    -pot $noe


removeLowLikelihoodAssigns \
    -noeList [$noe restraints] \
    -likelihoodCutoff 0.9


writeXplorNOEs \
    -fileName "il4_xplor_noes.tbl" \
    -noeList [$noe restraints] \
    -remarks [list "Converted from final Marvin NOEs" \
		  "Low-likelihood assignments were removed"]

