package require pipp
package require marvin

initParamPsfPdb \
    -paramFileName $env(XPLOR_DIR)/toppar/parallhdg_procheck.pro \
    -psfFileName   il4.psf 

set noe [create_LinearNOEPotential marv]

readPippFile \
    -inFileName [list 3dc_noe/3dc_capp_def_use_sym_2sd_sign.PCK 3dc_noe/3dc_capp_def_use_sym_2sd_sign.DEG] \
    -restraintNameHeader "3dc_" \
    -flexibleRegions [AtomSel -args "(resid 1:7 or resid 130:133)"] \
    -removeDiagonals \
    -convertStereospecAssigns \
    -r6sumAlways \
    -pot $noe

readPippFile \
    -inFileName [list 3dn_noe/3dn_noe_capp_def_3sd.PCK 3dn_noe/3dn_noe_capp_def_3sd.DEG]\
    -restraintNameHeader "3dn_" \
    -flexibleRegions [AtomSel -args "(resid 1:7 or resid 130:133)"] \
    -removeDiagonals \
    -convertStereospecAssigns \
    -r6sumAlways \
    -pot $noe

readPippFile \
    -inFileName [list 4dcc_noe/4dcc_capp_def_no_sym_2sd_sign.PCK 4dcc_noe/4dcc_capp_def_no_sym_2sd_sign.DEG] \
    -restraintNameHeader "4dcc_" \
    -flexibleRegions [AtomSel -args "(resid 1:7 or resid 130:133)"] \
    -removeDiagonals \
    -convertStereospecAssigns \
    -r6sumAlways \
    -pot $noe

set remarksList [initialRestraintAnalysis \
			-pot $noe\
			-violCutoff 0.5 \
			-referenceStructureFile il4_xray.pdb ]

writeMarvinNOEs \
    -fileName il4_pass1_noes.tbl \
    -pot $noe \
    -remarks $remarksList


