#
# Summarizes the results of the first pass Marvin calc,
# picking the best structures and determining constraint
# likelihoods and assignment probabilities for the 
# next pass
# 
# JJK 11/6/02
#

#package require xplornih
package require marvin

initParamPsfPdb \
    -paramFileName $env(XPLOR_DIR)/toppar/parallhdg_procheck.pro \
    -psfFileName   il4.psf \
    -pdbFileName   il4_extended.pdb

summarizeMarvinResults \
    -fileNames [glob "il4_pass1_*.pdb"] \
    -origNOEfile il4_pass1_noes.tbl \
    -newNOEfile il4_pass2_noes.tbl \
    -avgPDBfile il4_pass1_avg.pdb \
    -referenceStructureFile il4_xray.pdb \
    -definedBackbone [AtomSel -args "((name ca or name c or name n) and resid 8:129)"] \
    -definedHeavyatoms [AtomSel -args "(not name h* and resid 8:129)"]
