set outUnit [open "g_secstruct_torsions.tbl" w]

set sheetResidues [list 3 4 5 6 7 14 43 44 45 54 53 52]
set helixResidues [list 23 24 25 26 27 28 29 30 31 32 33]


puts $outUnit "!"
puts $outUnit "! torsion angle restraints for GB1"
puts $outUnit "!"
puts $outUnit "! PROF_sec was used to give secondary structure class"
puts $outUnit "! predictions for each residue.  Only those residues with"
puts $outUnit "! a PROF_sec accuracy > 82% are included in this table."
puts $outUnit "!"
puts $outUnit "! Refs:  Rost & Sander, JMB 232:584 (1993)"
puts $outUnit "!        Rost, Fariselli, and Casadio, Prot Sci 7:1704 (1996)"
puts $outUnit "!"

puts $outUnit ""
puts $outUnit [format "nassign %d" [expr ([llength $sheetResidues] + [llength $helixResidues]) * 2]]
puts $outUnit ""

foreach cur $sheetResidues {
    
    set prev [expr $cur - 1]
    set next [expr $cur + 1]
    
    puts $outUnit [format "assign (resid %4d and name c)" $prev]
    puts $outUnit [format "       (resid %4d and name n)" $cur]
    puts $outUnit [format "       (resid %4d and name ca)" $cur]
    puts $outUnit [format "       (resid %4d and name c)" $cur]
    puts $outUnit [format "       1.0 -110.0 60.0 2"]
    
    puts $outUnit [format "assign (resid %4d and name n)" $cur]
    puts $outUnit [format "       (resid %4d and name ca)" $cur]
    puts $outUnit [format "       (resid %4d and name c)" $cur]
    puts $outUnit [format "       (resid %4d and name n)" $next]
    puts $outUnit [format "       1.0 120.0 60.0 2"]

    puts $outUnit ""
}

foreach cur $helixResidues {
    
    set prev [expr $cur - 1]
    set next [expr $cur + 1]
     
    puts $outUnit [format "assign (resid %4d and name c)" $prev]
    puts $outUnit [format "       (resid %4d and name n)" $cur]
    puts $outUnit [format "       (resid %4d and name ca)" $cur]
    puts $outUnit [format "       (resid %4d and name c)" $cur]
    puts $outUnit [format "       1.0 -60.0 20.0 2"]
    
    puts $outUnit [format "assign (resid %4d and name n)" $cur]
    puts $outUnit [format "       (resid %4d and name ca)" $cur]
    puts $outUnit [format "       (resid %4d and name c)" $cur]
    puts $outUnit [format "       (resid %4d and name n)" $next]
    puts $outUnit [format "       1.0 -45.0 20.0 2"]

    puts $outUnit ""
}

close $outUnit
