#
# Summarizes the results of the first pass Marvin calc,
# picking the best structures and determining constraint
# likelihoods and assignment probabilities for the 
# next pass
# 
# JJK 11/6/02
#

#package require xplornih
package require marvin

initParamPsfPdb \
    -paramFileName $env(XPLOR_DIR)/toppar/parallhdg_procheck.pro \
    -psfFileName   g.psf \
    -pdbFileName   g_extended_mini.pdb

summarizeMarvinResults \
    -fileNames [glob "g_pass2_*.pdb"] \
    -origNOEfile g_pass2_noes.tbl \
    -newNOEfile g_pass3_noes.tbl \
    -avgPDBfile g_pass2_avg.pdb \
    -referenceStructureFile g_xray_withprotons.pdb \
    -definedBackbone [AtomSel -args "((name ca or name c or name n) and resid 2:55)"] \
    -definedHeavyatoms [AtomSel -args "(not name h* and resid 2:55)"]
